Main Page Widgets glibmm Namespaces Book

# Glib::SignalChildWatch Class Reference
[The Main Event Loop]

List of all members.

## Public Member Functions
sigc::connection | connect (const sigc::slot<void, GPid, int>& slot, GPid pid, int priority=PRIORITY_DEFAULT)
| Connects a child watch handler.

## Member Function Documentation

sigc::connection Glib::SignalChildWatch::connect | ( | const sigc::slot< void, GPid, int > & | slot,
|  | GPid | pid,
|  | int | priority = `PRIORITY_DEFAULT` |
| ) |  |  |

Connects a child watch handler.

     Glib::signal_child_watch().connect(sigc::ptr_fun(&child_watch_handler), pid);

Parameters:

  | slot | A slot to call when child pid exited.
  | pid | The child to watch for.
  | priority | The priority of the new event source.

Returns:
  A connection handle, which can be used to disconnect the handler.

The documentation for this class was generated from the following file:

- main.h